package com.gic.haoban.manage.service.pojo.bo.content.holo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/12/8 9:06 AM
 * @Description
 * @Version
 **/
public class MemberOrderItemHoloBo implements Serializable {

    private String orderItemId;

    private String orderId;

    private String orderNumber;

    private String oorderNumber;

    private String receiptsDate;

    private String enterpriseId;

    private String memberId;

    private String storeId;

    private String productId;

    private String productCode;

    private String productName;

    private String skuId;

    private String skuCode;

    private String skuName;

    private Integer skuNum;

    private String channelCode;

    /**
     * 实付金额 含运费
     */
    private BigDecimal paidAmount;

    /**
     *
     */
    private BigDecimal payAmount;

    private Long contentMaterialId;

    private Long auditMaterialId;

    private String createTime;

    private String updateTime;

    private Integer deleteFlag;

    public String getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOorderNumber() {
        return oorderNumber;
    }

    public void setOorderNumber(String oorderNumber) {
        this.oorderNumber = oorderNumber;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getSkuCode() {
        return skuCode;
    }

    public void setSkuCode(String skuCode) {
        this.skuCode = skuCode;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getSkuNum() {
        return skuNum;
    }

    public void setSkuNum(Integer skuNum) {
        this.skuNum = skuNum;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public Long getAuditMaterialId() {
        return auditMaterialId;
    }

    public void setAuditMaterialId(Long auditMaterialId) {
        this.auditMaterialId = auditMaterialId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(String receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
